package com.yonge.cooleshow.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 机构解绑历史表
 * 2023-08-18 18:00:10
 */
@ApiModel(value = "TenantUnbindHistoryWrapper对象", description = "机构解绑历史表查询对象")
public class TenantUnbindHistoryWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" TenantUnbindHistoryQuery-机构解绑历史表")
    public static class TenantUnbindHistoryQuery implements QueryInfo {

        @ApiModelProperty("当前页")
        private Integer page;

        @ApiModelProperty("分页行数")
        private Integer rows;

        @ApiModelProperty("关键字匹配")
        private String keyword;

        @ApiModelProperty("用户ID")
        private Long userId;

        @ApiModelProperty("机构ID")
        private Long tenantId;

        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantUnbindHistoryQuery from(String json) {
            return JSON.parseObject(json, TenantUnbindHistoryQuery.class);
        }
    }

    @ApiModel(" TenantUnbindHistory-机构解绑历史表")
    public static class TenantUnbindHistory {

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantUnbindHistory from(String json) {
            return JSON.parseObject(json, TenantUnbindHistory.class);
        }
    }

}